Name:		yum-conf-repos
Version:	1.0
Release:	1%{?dist}
Summary:	yum repo files for external repos

Group:		System Environment/Libraries
License:	GPL
URL:		http://www.scientificlinux.org/

%define debug_package %{nil}

BuildRequires:	bash sed coreutils
BuildArch:	noarch

Requires:	yum
Requires:	system-release >= 7

%description
Yum repository config file that point to the Scientific Linux
external repos list.


%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

echo "Building yum repos"

cat > $RPM_BUILD_ROOT/etc/yum.repos.d/repos.repo <<REPO
[repos]
Name=Scientific Linux repos - \$basearch
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/repos/\$basearch/
        http://ftp1.scientificlinux.org/linux/scientific/7x/repos/\$basearch/
        http://ftp2.scientificlinux.org/linux/scientific/7x/repos/\$basearch/

enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[repos-source]
Name=Scientific Linux repos - source
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/repos/SRPMS/
        http://ftp1.scientificlinux.org/linux/scientific/7x/repos/SRPMS/
        http://ftp2.scientificlinux.org/linux/scientific/7x/repos/SRPMS/

enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

REPO

chmod 644 $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Mon May 4 2015 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el7
- Initial build

